# class Benchmark::IPS::Stats::SD

### Public Class Methods

new(samples) click to toggle source

    # File lib/benchmark/ips/stats/sd.rb, line 7
    def initialize(samples)
      @mean = Timing.mean(samples)
      @error = Timing.stddev(samples, @mean).round
    end

### Public Instance Methods

central_tendency() click to toggle source

    # File lib/benchmark/ips/stats/sd.rb, line 12
    def central_tendency
      @mean
    end

error() click to toggle source

    # File lib/benchmark/ips/stats/sd.rb, line 16
    def error
      @error
    end

slowdown(baseline) click to toggle source

    # File lib/benchmark/ips/stats/sd.rb, line 20
    def slowdown(baseline)
      slowdown = baseline.central_tendency.to_f / central_tendency
      [slowdown, nil]
    end